﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using MvvmCross.Core.ViewModels;

namespace IGXamGrid.Core.ViewModels {
    public class MainViewModel : MvxViewModel {
        public IList<Section> Sections { get; set; }

        public ObservableCollection<Student> Students{ get; set; }

        public MainViewModel()
        {
            Sections = new List<Section>
            {
                new Section {SectionName = "001", Students = GetStudents()},
                new Section {SectionName = "002", Students = GetStudents()},
                new Section {SectionName = "003", Students = GetStudents()}
            };
            Students = GetStudents();
        }

        private ObservableCollection<Student> GetStudents()
        {
            return new ObservableCollection<Student>(new List<Student>()
            {
                new Student {FirstName = "Sean", LastName = "Connery", Rank = 1},
                new Student {FirstName = "Roger", LastName = "Moore", Rank = 2},
                new Student {FirstName = "Tim", LastName = "Dalton", Rank = 3},
            });
        }
    }

    public class Section
    {
        public string SectionName { get; set; }
        public IList<Student> Students{ get; set; }
    }

    public class Student
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Rank { get; set; }
    }
}


